# BEGIN SourceDeps(oneline):
BuildRequires: perl(App/pod2pdf.pm) perl(CPAN.pm) perl(CPAN/Meta.pm) perl(CPAN/Meta/Check.pm) perl(CPAN/Meta/Feature.pm) perl(CSS/LESSp.pm) perl(Config.pm) perl(Cwd.pm) perl(Data/Dumper.pm) perl(Devel/Cover.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(FileHandle.pm) perl(HTTP/Request/Common.pm) perl(IPC/Open3.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Plack.pm) perl(Plack/App/File.pm) perl(Plack/Middleware.pm) perl(Plack/Test.pm) perl(Plack/Util.pm) perl(Plack/Util/Accessor.pm) perl(Pod/Html.pm) perl(Pod/Man.pm) perl(Pod/Text.pm) perl(Socket.pm) perl(Test/More.pm) perl(Test/Requires.pm) perl(YAML/Tiny.pm)
BuildRequires: perl(base.pm) perl(inc/Module/Install.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define module_version 0.04
%define module_name Plack-Middleware-File-Less
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.04
Release: alt1
Summary: compile LESS templates into CSS stylesheets
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/N/NA/NAOYA/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
Plack::Middleware::File::Less is middleware that compiles
Less templates into CSS stylesheet..

When a request comes in for *.css* file, this middleware changes the
internal path to *.less* in the same directory. If the LESS template
is found, a new CSS stylesheet is built on memory and served to the
browsers.  Otherwise, it falls back to the original *.css* file in
the directory.


%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/P*

%changelog
* Sat Dec 05 2015 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1
- initial import by package builder

